# Checking property eligibility for Payments by Booking


```http
POST https://payments-api.booking.com/connectivity-payments/pbb/eligibility
```

The Payments Eligibility API allows you to perform an eligibility evaluation for a property.

In the response, you receive information on all the available payout options and any associated costs or restrictions. If the property is already on Payments by Booking, you receive information on the current payout configuration and any other available payout options.

## Required connection types

You need to be connected with the Payments by Booking.com onboarding connection type or the reservations connection type to use this API.

For more information on the connection types, see [Connections API Overview](/connectivity/docs/connections-api/connections-overview).

To simplify the process of setting up a connection between Booking.com and your platform, you can use [Quick Connect](https://connectivity.booking.com/s/solution-article/connection-solutions-MC364TEJFTHVFVJPJP4NCC346BSI?language=en_US).

With Quick Connect, you can request to connect a property directly from your interface. You can use it for already connected properties and for newly connecting properties. For more information, see this [deck](https://connectivitypartners.my.salesforce.com/sfc/p/#1i000000gTVP/a/5q000000ycly/w4lsfxJRtDjV9lMjZcllIHiVr6ptwY5.2iSj27YGh74).

## Request example

One request can have a maximum of 10 properties.


```json
{
  "property_ids": ["1329072", "1329276"]
}
```

## Headers

| Element | Description | Type | Required/Optional |
|  --- | --- | --- | --- |
| `accept-version` | Specifies the version of the API you want to use. Accepted value is 1.0. If not specified, defaults to the latest version. | string | optional |


## Response example

The following is a successful response body example:


```json
{
  "meta": {
    "ruid": "06871eb3-f5d7-427f-9207-d00acd6e4845"
  },
  "data": {
    "payout_configurations": [
      {
        "property_id": "1329072",
        "legal_entity_id": "1318",
        "current_payout_configuration": {
            "payin_collection_strategy": "PARTIAL",
            "payout_netting": "GROSS",
            "payout_method": "VCC",
            "payout_frequency": null
        },
        "payout_configuration_options": [
          {
            "is_eligible": true,
            "payin_collection_strategy": "PARTIAL",
            "payout_method": "VCC",
            "payout_frequency": [],
            "payout_netting": [
              "GROSS"
            ],
            "additional_requirements": []
          },
          {
            "is_eligible": false,
            "payin_collection_strategy": "ALL",
            "payout_method": "STRIPE",
            "payout_frequency": [
              "DAILY"
            ],
            "payout_netting": [],
            "additional_requirements": []
          },
          {
            "is_eligible": true,
            "payin_collection_strategy": "PARTIAL",
            "payout_method": "BT",
            "payout_frequency": [
              "DAILY",
              "WEEKLY",
              "MONTHLY"
            ],
            "payout_netting": [
              "GROSS"
            ],
            "additional_requirements": []
          },
          {
            "is_eligible": false,
            "payin_collection_strategy": "ALL",
            "payout_method": "BT",
            "payout_frequency": [
              "DAILY",
              "WEEKLY",
              "MONTHLY"
            ],
            "payout_netting": [
              "NET"
            ],
            "additional_requirements": []
          }
        ],
        "vcc_activation_policy_code": "2",
        "bt_payout_cost_information": {
          "value": "140",
          "type": "PERCENTAGE",
          "decimals": 2
        },
        "is_config_update_supported_by_api": "FALSE"
      },
      {
        "property_id": "1329276",
        "legal_entity_id": "1319",
        "current_payout_configuration": null,
        "payout_configuration_options": [
          {
            "is_eligible": true,
            "payin_collection_strategy": "PARTIAL",
            "payout_method": "VCC",
            "payout_frequency": [],
            "payout_netting": [
              "GROSS"
            ],
            "additional_requirements": []
          },
          {
            "is_eligible": false,
            "payin_collection_strategy": "ALL",
            "payout_method": "STRIPE",
            "payout_frequency": [
              "DAILY"
            ],
            "payout_netting": [],
            "additional_requirements": []
          },
          {
            "is_eligible": false,
            "payin_collection_strategy": "ALL",
            "payout_method": "BT",
            "payout_frequency": [
              "DAILY",
              "WEEKLY",
              "MONTHLY"
            ],
            "payout_netting": [
              "NET"
            ],
            "additional_requirements": []
          },
          {
            "is_eligible": true,
            "payin_collection_strategy": "PARTIAL",
            "payout_method": "BT",
            "payout_frequency": [
              "DAILY",
              "WEEKLY",
              "MONTHLY"
            ],
            "payout_netting": [
              "GROSS"
            ],
            "additional_requirements": []
          }
        ],
        "vcc_activation_policy_code": "2",
        "bt_payout_cost_information": {
          "value": "140",
          "type": "PERCENTAGE",
          "decimals": 2
        },
        "is_config_update_supported_by_api": "TRUE"
      }
    ]
  },
  "errors": [],
  "warnings": []
}
```

## Response headers

| Header | Description | Type |
|  --- | --- | --- |
| `api-version` | The latest version of the API used to generate the response. | string |


## Response elements

The following table describes the response elements:

| Element | Description | Type |
|  --- | --- | --- |
| `data` | Contains the response data. | object |
| **::** `legal_entity_id` | Specifies the identifier assigned to the legal owner of one or more properties on Booking.com. | string |
| **::** `property_id` | Specifies the identifier of the property for which the request is sent. | string |
| **::** `current_payout_configuration` | Indicates whether the given property is currently on Payments by Booking. If the response returned `null`, the property is currently not on Payments by Booking. The `null` value means the property can try to onboard to Payments by Booking through the [Payments Configuration Status API](/connectivity/docs/payments-by-booking-onboarding-api/checking-onboarding-request-status). | object |
| **:::** `payin_collection_strategy` | Specifies the approach that Booking.com uses to manage the collection of payments from guests during the booking process. Can be `PARTIAL` or `ALL`. For more information, see [About payment collection strategy](/connectivity/docs/payments-by-booking-onboarding-api/understanding-payouts/#about-payment-collection-strategy). | string |
| **:::** `payout_netting` | Specifies whether the payout will be `NET` or `GROSS`. Gross payouts don't involve any deductions, while net payouts are computed by subtracting relevant fees and commissions from the gross amount. For more information, see [About payout commission](/connectivity/docs/payments-by-booking-onboarding-api/understanding-payouts/#about-payout-commission). | string |
| **:::** `payout_method` | Specifies the payout method: `BT` (bank transfers), `VCC` (virtual credit cards), or `STRIPE`. For more information, see [About payout methods](/connectivity/docs/payments-by-booking-onboarding-api/understanding-payouts/#about-payout-methods). | string |
| **:::** `payout_frequency` | Specifies how frequently the payout occurs: `DAILY`, `WEEKLY`, or `MONTHLY`. For VCC, `null` is returned. For more information, see [About payout frequency](/connectivity/docs/payments-by-booking-onboarding-api/understanding-payouts/#about-payout-frequency). | string |
| **::** `payout_configuration_options` | Shows which payout methods the given property is eligible or not eligible for. | object |
| **:::** `is_eligible` | Indicates whether the given property is eligible (`true`) or not (`false`) to enroll to Payments by Booking with the specific payout configuration. | Boolean |
| **:::** `payin_collection_strategy` | Specifies the approach that Booking.com uses to manage the collection of payments from guests during the booking process. Can be `PARTIAL` or `ALL`. For more information, see [About payment collection strategy](/connectivity/docs/payments-by-booking-onboarding-api/understanding-payouts/#about-payment-collection-strategy). | string |
| **:::** `payout_method` | Specifies the payout method for which the eligibility information is provided: `BT` (bank transfers), `VCC` (virtual credit cards), or `STRIPE`. For more information, see [About payout methods](/connectivity/docs/payments-by-booking-onboarding-api/understanding-payouts/#about-payout-methods). | string |
| **:::** `payout_frequency` | Specifies how frequently the payout can occur: `DAILY`, `WEEKLY`, or `MONTHLY`. For VCCs, an empty list is returned. For more information, see [About payout frequency](/connectivity/docs/payments-by-booking-onboarding-api/understanding-payouts/#about-payout-frequency). | array |
| **:::** `payout_netting` | Specifies whether the payout will be `NET` or `GROSS`. Gross payouts don't involve any deductions, while net payouts are computed by subtracting relevant fees and commissions from the gross amount. For more information, see [About payout commission](/connectivity/docs/payments-by-booking-onboarding-api/understanding-payouts/#about-payout-commission). | string |
| **::::** `additional_requirements` | Lists any additional requirements for the given payout method. For example, in some cases, the partner needs to take certain actions to become eligible for the particular payout method. | string |
| **:::::** `name` | Requirement type. For example, `REQUIRES_KYC_FOR_PAYOUT` for Stripe. | string |
| **:::::** `action` | Action to take. For example, `COMPLETE_KYC_AFTER_ONBOARDING` for Stripe.  This means that the partner can onboard and follow the actions received during the onboarding process. | string |
| **::** `vcc_activation_policy_code` | Specifies a numeric code that corresponds to a certain VCC activation timeline that defines when a VCC associated with a reservation becomes active and is enabled for charging. For more information, see [VCC activation policy codes](/connectivity/docs/payments-by-booking-onboarding-api/understanding-payouts/#vcc-activation-policy-codes). | string |
| **::** `bt_payout_cost_information` | *Only for bank transfers*. Contains information on the costs associated with BTs. For more information, see [this page](https://partner.booking.com/en-gb/help/policies-payments/payment-products/how-much-payments-bookingcom-costs). | object |
| **:::** `value` | Total cost amount. | string |
| **:::** `type` | How the cost is calculated. | string |
| **:::** `decimals` | Number of decimals in the amount. | integer |
| **::** `is_config_update_supported_by_api` | Indicates whether the property can be onboarded to Payments by Booking via the [Payments Configuration API](/connectivity/docs/payments-by-booking-onboarding-api/sending-request-to-onboard-to-pbb). `TRUE` if the property can use the API for onboarding and configuration updates, `FALSE` otherwise. | string |
| `errors` | Contains potential errors. These can help you understand what went wrong with your request. For more information, see [Response codes](#response-codes). | array |
| `warnings` | Contains potential warnings. These can help you improve your requests. | array |


## Rate limiting

To prevent excessive load on our systems, we limit the number of API calls that a provider can make per minute. For the Payments Eligibility API, the limit is **30 requests per minute**.

## Response codes

This table lists and describes the response codes that the API can return.

| Code | Type | Description |
|  --- | --- | --- |
| 200 | Success | Eligibility information for the given property is returned successfully. |
| 400 | Non-retryable failure | Request payload is invalid. |
| 401 | Non-retryable failure | Machine account is not authenticated. |
| 403 | Non-retryable failure | Machine account is not authorized to fetch the requested information. |
| 429 | Retryable error | You exceeded the rate limit. |
| 500 | Retryable failure | Request failed with an internal server error. |